;
;   looptest.asm
;
;   This module tests the 4 looping instructions
;


        .base       200

main:   movl        #3, r1
        clrl        r2

loop1:  incl        r2
        sobgtr      r1, loop1

        clrl        r3

loop2:  incl        r3,
        sobgeq      r2, loop2

        clrl        r4
        
loop3:  decl        r3
        aobleq      #3, r4, loop3

        clrl        r5

loop4:  decl        r4
        aoblss      #3, r5, loop4

;
;   On completion, the registers should be:
;
;   R1  00000000
;   R2  FFFFFFFF
;   R3  00000000
;   R4  00000001
;   R5  00000003
;

        halt
        
